epg2vdr: SQL-Error ...

  • Mit aktuellem GIT Stand version 1.1.106 | dddd5c42b27d936f22468f95e3da0a776451dbb7 hab ich oft das im Log:

    Code
    1. epg2vdr: SQL-Error in 'execute(stmt_execute)' - Deadlock found when trying to get lock; try restarting transaction (1213) 'Deadlock found when trying to get lock; try restarting transaction' [update events set delflg = ?, updflg = ?, updsp = ? where channelid = ? and source = ? and starttime+duration > ? and starttime < ? and (tableid > ? or (tableid = ? and version <> ?));]

    sowie:


    Code
    1. epg2vdr: SQL-Error in 'execute(stmt_execute)' - Deadlock found when trying to get lock; try restarting transaction (1213) 'Deadlock found when trying to get lock; try restarting transaction' [insert into events set actor = ?, audio = ?, camera = ?, category = ?, channelid = ?, commentator = ?, complongdescription = ?, compshorttext = ?, comptitle = ?, contents = ?, country = ?, delflg = ?, director = ?, duration = ?, episodecompname = ?, episodecomppartname = ?, episodecompshortname = ?, episodelang = ?, eventid = ?, extepnum = ?, fileref = ?, flags = ?, genre = ?, guest = ?, imagecount = ?, inssp = ?, longdescription = ?, moderator = ?, movieid = ?, music = ?, numrating = ?, other = ?, parentalrating = ?, producer = ?, rating = ?, screenplay = ?, scrmovieid = ?, scrseriesepisode = ?, scrseriesid = ?, scrsp = ?, shortdescription = ?, shortreview = ?, shorttext = ?, source = ?, starttime = ?, tableid = ?, tipp = ?, title = ?, topic = ?, txtrating = ?, updflg = ?, updsp = ?, useid = ?, version = ?, vps = ?, year = ?;]

    Gruß utiltiy



    VDR Projekte VDR Projects

  • Mehrere vdr angedockt die alle den epg aktualisieren? Sollte nur einer tun.

    CKone: yavdr-ansible/18.04 LTS/2.4.1/kodi18 auf Intel DH67BL, Intel Celeron G540, 2x 2GB Kingston DDR3, Zotac GT630 1GB, S2-1600, Ocz Agility 3 60GB, LG GH24NS DVD, 15.6" Selbstbau TFT, Harmony 665, CIR Selbstbau - das Ganze im Silverstone SST-SG03B
    CKtwo: yavdr-ansible/18.04 LTS/2.4.1/kodi18 auf Intel DH67BL, Intel Celeron G1610, 2x 2GB Corsair DDR3, Zotac GT630 1GB, TT S2-1600, Ocz Vertex 2 50 GB, 92 Kanal Seduatmo, Harmony 665, atric USB
    PowerEdge: Ubuntu Server 16.04 LTS / VDR 2.4.1 auf Dell PowerEdge T20, Xeon E3-1225 v3, 16GB ECC DDR3, 2x Cine S2 V6 mit Duoflex, Samsung 840 EVO 120GB, 3x WD Red WD30EFRX 3TB in SW Raid5

  • Nein, es ist nur einer der bei der Meldung lief.

    Gruß utiltiy



    VDR Projekte VDR Projects

  • Die Meldungen tauchen bei mir auch auf. Läuft alles auf dem selben VDR

    Mit Freiheitsstrafe bis zu fünf Jahren oder mit Geldstrafe wird bestraft, wer eine nukleare Explosion verursacht. [StGB §328 Abs.: 2 Nr.: 3]

    ___

    Gen2VDR V7; VDR 2.4.1; Gehäuse: Antec Fusion V2 Black & iMon LCD (15c2:ffdc); Atric IR-Einschalter Rev. 4; Board: Intel DH77EB, Core i5-3550, Zotac GT630 Zone Edition, 4 GB RAM; DVB: 1x Digital Devices CineS2 Quad V6.5 [VDR-User #1540]

  • Seit den letzten Änderungen an epg2vdr hab ich diese Meldungen im Log, egal ob mit yavdr-ansible@bionic, yavdr-ansible@focal oder vdr4arch. Alle genannten Systeme greifen jeweils auf 3 verschiedene EPGD Server zu, alles ist aktueller Stand.

    Gruß utiltiy



    VDR Projekte VDR Projects

  • So sieht ein Log aus wenn man es verfolg und wiederholt sich fortlaufend (ganzes Logfile: https://pastebin.ubuntu.com/p/Wm3TBjj3NK/) :


    Da läuft ein VDR an einem EPGD Server

    Gruß utiltiy



    VDR Projekte VDR Projects

  • klappt die Kommunikation über svdrp vom epgd zum epg2vdr?

  • Eigentlich schon, die Meldungen kommen dazwischen

    Gruß utiltiy



    VDR Projekte VDR Projects

  • Wird zwar wahrscheinlich nichts damit zu tun haben, aber probier mal neuere Version, zB 1.1.109

    MyVDR: yaVDR-Ansible (Ubuntu 18) - softhddevice-openglosd (ffmpeg 2.8) - epgd/epg2vdr - skindesigner estuary4vdr (adaptiert) - 1920x1080@50 Hz | kodi 18 - inputstream + amazon vod
    Aerocube M40 | 300W | ASRock H61M-GE | Intel G530 | Asus ENGT520 | 2 x TT-budget S2-3200 | ASRock Smart Remote (CIR) | 4 GB RAM | 120 GB SSD | 3 TB HDD